%undefine _hardened_build

Summary:	Portable Dynamic Shared Object Management
Name:		libtool
Version:	2.4.7
Release:       9.1%{?dist}
License:	GPLv2+ and LGPLv2+ and GFDL
URL:		http://www.gnu.org/software/libtool/
Source0:	http://ftp.gnu.org/gnu/libtool/%{name}-%{version}.tar.xz

Patch3000:	libtool-2.4.5-rpath.patch
Patch3001:	libtool-2.4.6-hardening.patch
Patch3002:	libtool-2.4.6-disable-lto-link-order2.patch
Patch3003:	libtool-2.4.6-keep-compiler-deps.patch
Patch3004:      0001-tests-Fix-grep-warning-about-stray-before.patch

BuildRequires:	texinfo autoconf automake help2man make
BuildRequires:	libstdc++-devel gcc-gfortran gcc gcc-c++
Requires:	gcc autoconf automake sed tar findutils
Requires:	system-rpm-config

%description
GNU Libtool is a generic library support script that hides the complexity 
of using shared libraries behind a consistent, portable interface.

%package ltdl
Summary:		Runtime libraries for GNU Libtool Dynamic Module Loader
License:		LGPLv2+
Provides:		%{name}-libs = %{version}-%{release}

%description ltdl
Libtool provides a small library, called libltdl, that aims at hiding 
the various difficulties of dlopening libraries from programmers. It 
consists of a few headers and small C source files that can be distributed
with applications that need dlopening functionality. On some platforms, 
whose dynamic linkers are too limited for a simple implementation of libltdl 
services, it requires GNU DLD, or it will only emulate dynamic linking with
libtool’s dlpreopening mechanism.

%package ltdl-devel
Summary:		Header files and libraries for ltdl development
License:		LGPLv2+
Requires:		%{name}-ltdl = %{version}-%{release}
Requires:		automake

%description ltdl-devel
This package provides header files and libraries for ltdl development.

%prep
%autosetup -n libtool-%{version} -p1

%build
autoreconf -fv
%configure
%make_build CUSTOM_LTDL_CFLAGS="%_hardening_cflags" CUSTOM_LTDL_LDFLAGS="%_hardening_ldflags"

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/libltdl.{a,la}

%check
make check VERBOSE=yes || { cat tests/testsuite.dir/*/testsuite.log ; false ; }

%files
%license COPYING
%doc AUTHORS NEWS README THANKS TODO ChangeLog*
%{_datadir}/aclocal/*.m4
%dir %{_datadir}/libtool
%{_datadir}/libtool/build-aux
%{_bindir}/libtool
%{_bindir}/libtoolize
%{_mandir}/man1/libtool.1*
%{_mandir}/man1/libtoolize.1*
%{_infodir}/libtool.info*.gz

%files ltdl
%license libltdl/COPYING.LIB
%{_libdir}/libltdl.so.*

%files ltdl-devel
%license libltdl/COPYING.LIB
%doc libltdl/README
%{_datadir}/libtool
%exclude %{_datadir}/libtool/build-aux
%{_includedir}/ltdl.h
%{_includedir}/libltdl
%{_libdir}/libltdl.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.7-9
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.7-8
- Rebuilt for loongarch release

* Tue Apr 02 2024 rockerzhu <rockrezhu@tencent.com> - 2.4.7-7
- Fix _hardened_build from being defined 0 to undefined.

* Tue Jan 23 2024 Xiaojie Chen <jackxjchen@tencent.com> - 2.4.7-6
- Add requirement for system-rpm-config

* Mon Sep 11 2023 cunshunxia <cunshunxia@tencent.com> - 2.4.7-5
- fix link order test failed because grep upgrade.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.7-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 19 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.4.7-1
- Initial build
